package rocks.zipcode;

public class BlackJackRule {
    private static final int MAXIMUM_SCORE = 21;

    public BlackJackRule() {

    }

    public boolean isBusted(Player player) {
        return player.handScore() > MAXIMUM_SCORE;
    }

    public Player getWinner(Player dealer, Player player) {
        if (isBusted(player) && isBusted(dealer)) {
            return null;
        }
        else if (player.handScore() > dealer.handScore()
                && player.handScore()<=MAXIMUM_SCORE) {
            return player;
        }
            else{

            }
        return dealer;
    }
}